
Redmine - Defect #9513

Mongrel server halt at CASClient::Frameworks::Rails::Filter 

2011-11-03 13:30 - Sudipto Dey

Status: Closed Start date: 2011-11-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I am using rubycas-client 2.2.1 and it is working fine at my local machine. But when i am trying to integrate to portal CAS login for

integrating the session its not working out. It is bringing the server to halt but the session is getting integrated.The data in database

and the code at local machine is same.

We are using Suse Linux Enterprise 11 . I checked the development log its halting the server after this following line.As I looked into

the code I found CASClient::Frameworks::Rails::Filter is taking care of redirection which is working but bringing the server to halt.

Requesting CAS response for URI 

https://exaple.portal:8443/cas/proxyValidate?ticket=ST-10-cI40FkyCGrNkr0zKkR6S-exapmle.portal&service=http%3A%2F%2Fonline

.assam.gov.in%3A3000%2Flogin

I am new to ruby and to Redmine. Any help is really appreciated.

Thanks in Advance.

History

#1 - 2011-11-03 13:31 - Sudipto Dey

Sudipto Dey wrote:

I am using rubycas-client 2.2.1 and it is working fine at my local machine. But when i am trying to integrate to portal CAS login for integrating the

session its not working out. It is bringing the server to halt but the session is getting integrated.The data in database and the code at local

machine is same.

We are using Suse Linux Enterprise 11 . I checked the development log its halting the server after this following line.As I looked into the code I

found CASClient::Frameworks::Rails::Filter is taking care of redirection which is working but bringing the server to halt.

Requesting CAS response for URI 

https://exaple.portal:8443/cas/proxyValidate?ticket=ST-10-cI40FkyCGrNkr0zKkR6S-exapmle.portal&service=http%3A%2F%2Fexample.portal%

3A3000%2Flogin

I am new to ruby and to Redmine. Any help is really appreciated.

Thanks in Advance.

#2 - 2011-11-06 00:44 - Mischa The Evil

- Category deleted (Core Plugins)

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

This "help-request" should be placed in the forums. This is not a thing related to the Redmine core.

#3 - 2011-11-08 07:25 - Sudipto Dey

Thank you and sorry.

I will place my request in help forum.

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

https://exaple.portal:8443/cas/proxyValidate?ticket=ST-10-cI40FkyCGrNkr0zKkR6S-exapmle.portal&service=http%3A%2F%2Fonline.assam.gov.in%3A3000%2Flogin
https://exaple.portal:8443/cas/proxyValidate?ticket=ST-10-cI40FkyCGrNkr0zKkR6S-exapmle.portal&service=http%3A%2F%2Fonline.assam.gov.in%3A3000%2Flogin
https://exaple.portal:8443/cas/proxyValidate?ticket=ST-10-cI40FkyCGrNkr0zKkR6S-exapmle.portal&service=http%3A%2F%2Fexample.portal%3A3000%2Flogin
https://exaple.portal:8443/cas/proxyValidate?ticket=ST-10-cI40FkyCGrNkr0zKkR6S-exapmle.portal&service=http%3A%2F%2Fexample.portal%3A3000%2Flogin
http://www.tcpdf.org

